// Fill out your copyright notice in the Description page of Project Settings.

#pragma once

#include "CoreMinimal.h"
#include "../../Interface/ICsdkTraceOutput.h"
#include "Log/Output/Remote/LogForwarder.h"
/**
 * 
 */
class CSDKRUNTIME_API CsdkTraceOutputRemote: public ICsdkTraceOutput
{
public:
	CsdkTraceOutputRemote();
	virtual ~CsdkTraceOutputRemote() override;
	virtual  void Log( const class FName& Category, ELogVerbosity::Type Verbosity,const FString& Data) override;
private:
	TUniquePtr<FLogForwarder> OutputDeviceRemote = nullptr;
};
